Bug 1416530 - [RFE] Support upgrade path for SSH drivers to virtualbmc in the undercloud
Summary: [RFE] Support upgrade path for SSH drivers to virtualbmc in the undercloud
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M1
: 12.0 (Pike)
Assignee: Dmitry Tantsur
QA Contact: mlammon
URL:
Whiteboard:
Depends On: 1373468
Blocks: 1442136 1455114 1467176
TreeView+ depends on / blocked
 
Reported: 2017-01-25 17:52 UTC by mlammon
Modified: 2018-02-05 19:04 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1455114 (view as bug list)
Environment:
Last Closed: 2017-12-13 21:04:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 434286 'None' MERGED Add some documentation about VirtualBMC and pxe_ipmitool 2020-02-25 10:41:00 UTC
Red Hat Product Errata RHEA-2017:3462 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC

Description mlammon 2017-01-25 17:52:28 UTC
During the Ocata release a new feature giving the switch from pxe_ssh to virtualbmc drivers is developed (see dependency bz). pxe_ssh may not be dropped until Pike release now. However, there is still currently no plan which give any customer needing full upgrade support for their pxe_ssh too vbmc virtual environments.  A customer should be able to upgrade both undercloud/overcloud environments using pxe_ssh directly too VirtualBMC.   

There is potential use cases that need to be fully explored which give value for this upgrade support but still need to be finalized.

This RFE should address the need for this support along with documentation.

Comment 1 Red Hat Bugzilla Rules Engine 2017-01-25 17:52:39 UTC
This bugzilla has been removed from the release and needs to be reviewed for targeting another release.

Comment 3 Dmitry Tantsur 2017-01-26 11:47:27 UTC
A small correction: we don't support virtual nodes in the overcloud, only in the undercloud. Changing the subject accordingly.

Setting priority to high, as SSH drivers are very likely to be removed in early Pike.

Comment 4 Ramon Acedo 2017-02-14 15:49:27 UTC
I'd propose to document the workflow upstream

Comment 5 Lucas Alvares Gomes 2017-02-15 14:34:08 UTC
Added the initial stab at documenting the process (see external links)

Comment 6 Alexander Chuzhoy 2017-03-20 16:51:46 UTC
To verify need to see that it's possible to manually switch from pxe_ssh to virtualbmc.

Comment 8 Dmitry Tantsur 2017-04-11 15:30:28 UTC
We have upstream documentation outlined in http://tripleo.org/environments/virtualbmc.html#migrating-from-pxe-ssh-to-virtualbmc. Do we need to clone this bug against the documentation component now?

Comment 9 Ramon Acedo 2017-04-21 10:55:18 UTC
Hi Mike, we'd need verifying wether the current documentation upstream is enough to describe how to move from pxe_ssh to vbmc + pxe_ipmitool. After that, we can request documenting it downstream (and include any additional information found during the verification).

Comment 10 mlammon 2017-04-26 15:49:07 UTC
Hi Ramon,

I agree and the upstream documentation "Migrating from pxe_ssh to VirtualBMC"[1]
is lacking specific information to point to adding support for the 
pxe_ipmitool driver.  It should provide references on how to enable this driver
for both undercloud and overcloud use cases.

For example: 
[stack@undercloud-0 ~]$ openstack baremetal driver list
+---------------------+----------------------------------------------------------------+
| Supported driver(s) | Active host(s)                                                 |
+---------------------+----------------------------------------------------------------+
| ipmi                | overcloud-ironic-0.localdomain, overcloud-ironic-1.localdomain |
| pxe_ssh             | overcloud-ironic-0.localdomain, overcloud-ironic-1.localdomain |
+---------------------+----------------------------------------------------------------+

If we follow the steps 'Creating virtual BMC'[2] in current doc: "If you already have a virtual cloud deployed and want to migrate from the deprecated pxe_ssh driver to pxe_ipmitool using VirtualBMC, follow Creating virtual BMC, then update the existing nodes to change their drivers and certain driver properties:" then do next steps in the current documentation the user would have following error as need below example:
"No valid host was found. Reason: No conductor service registered which supports driver pxe_ipmitool. (HTTP 400)"

[stack@undercloud-0 ~]$ openstack baremetal node set ironic-0     --driver pxe_ipmitool     --driver-info ipmi_address=172.16.0.1     --driver-info ipmi_port=6232     --driver-info ipmi_username="admin"     --driver-info ipmi_password="password"
No valid host was found. Reason: No conductor service registered which supports driver pxe_ipmitool. (HTTP 400)



[1] http://tripleo.org/environments/virtualbmc.html#migrating-from-pxe-ssh-to-virtualbmc
[2] http://tripleo.org/environments/virtualbmc.html#creating-virtual-bmc

Comment 11 Ramon Acedo 2017-04-26 18:30:47 UTC
Thanks Mike, +1, good catch. Users who have followed the upstream documentation "Bare Metal Instances in the Overcloud" [1] will find this issue as this documentation in the examples shows how to test the functionality with pxe_ssh by setting:

parameter_defaults:
    IronicEnabledDrivers:
        - pxe_ssh

Meaning that this will be the only available driver.

I'd suggest creating a patch that adds this information to the upstream VirtualBMC documentation [2].

As part of the migration, if coming from an upgrade, the templates with the TripleO parameter IronicEnabledDrivers should be updated to contain pxe_ipmitool.

[1] https://docs.openstack.org/developer/tripleo-docs/advanced_deployment/baremetal_overcloud.html#configuring-and-deploying-overcloud

[2] https://docs.openstack.org/developer/tripleo-docs/environments/virtualbmc.html

Comment 12 mlammon 2017-05-19 14:14:48 UTC
upstream doc review has completed today. https://review.openstack.org/#/c/460338/

Comment 17 Thierry Vignaud 2017-07-24 16:24:50 UTC
Hi
Can you either:
- add the gerrit ID of the actual change so that we can doble check if we did got the actual fix?
- or check if our current downstream build is OK?
Thanks

Comment 18 Ramon Acedo 2017-07-25 09:22:11 UTC
Hi Thierry, the upstream documentation patch is mentioned in comment #12. Downstream documentation is expected to follow by the documentation team. It is my understanding there isn't any code patch required.

Comment 22 errata-xmlrpc 2017-12-13 21:04:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462


Note You need to log in before you can comment on or make changes to this bug.